Doomsday Engine - Bug #1930

[linux] doomsday-1.14.5 build from source with CONFIG+=deng_fmod FMOD_DIR=/opt/fmodex fails
with error: 'FMOD_SPEAKERMODE_SRS5_1_MATRIX' was not declared in this scope

2014-12-13 21:36 - sermayen

Status: Closed

Priority: Normal

Assignee:

Category: 3rd party compatibility

Target version:

Start date: 2014-12-13
% Done: 0%

Description
Here's the full error:

./..]../doomsday-1.14.5/doomsday/plugins/fmod/src/driver_fmod.cpp: In function 'int DS_Init()":
../../../doomsday-1.14.5/doomsday/plugins/fmod/src/driver_fmod.cpp:95:36: error: 'FMOD_SPEAKERMODE_SRS5_1_MATRIX' was

not declared in this scope

fmodSystem->setSpeakerMode(FMOD_SPEAKERMODE_SRS5_1_MATRIX);
A

Makefile:270: recipe for target 'driver_fmod.o' failed

make?: *** [driver_fmod.o] Error 1

| have FMOD installed in /opt/fmodex and set the FMOD_DIR accordingly, no luck.
| also tried fmod-4.38.00 and fmod-4.38.02 still no luck... Does doomsday need a more up-to-date version of FMOD EX ?

History

#1 - 2014-12-13 21:54 - sermayen

Ok... got it working with fmod-4.44.9 from the fmod site... so this bug can be closed.

#2 - 2014-12-14 05:33 - skyjake
- Tags set to Audio
- Category set to 3rd party compatibility

- Status changed from New to Closed
